var err_reason = [];
err_reason[2] = GetElmCont('diag_0',"Client ended the call");
err_reason[3] = GetElmCont('diag_0',"Phone has no service");
err_reason[4] = GetElmCont('diag_0',"Call ended abnormally");
err_reason[5] = GetElmCont('diag_0',"Received release from BS(No reason gives)");
err_reason[6] = GetElmCont('diag_0',"Access attempt already in process.");
err_reason[7] = GetElmCont('diag_0',"Access failure");
err_reason[8] = GetElmCont('diag_0',"Call rejected because of redirection ot handoff");
err_reason[9] = GetElmCont('diag_0',"Call failed because close is in progress");
err_reason[10] = GetElmCont('diag_0',"Authentication failed");
err_reason[11] = GetElmCont('diag_0',"Call ended because of an internal error");
err_reason[500] = GetElmCont('diag_0',"CDMA-locked");
err_reason[501] = GetElmCont('diag_0',"Received intercept from the BS");
err_reason[502] = GetElmCont('diag_0',"Received reorder from the BS");
err_reason[503] = GetElmCont('diag_0',"Received release from the BS");
err_reason[504] = GetElmCont('diag_0',"Received incoming call from the BS");
err_reason[505] = GetElmCont('diag_0',"Received alert stop from the BS");
err_reason[506] = GetElmCont('diag_0',"Received end activation");
err_reason[507] = GetElmCont('diag_0',"Maximum access probes transmitted");
err_reason[508] = GetElmCont('diag_0',"Concurrent service is not supported");
err_reason[509] = GetElmCont('diag_0',"No response received from the BS");
err_reason[510] = GetElmCont('diag_0',"Call Rejected by the BS");
err_reason[511] = GetElmCont('diag_0',"Concurrent services requested were not compatible");
err_reason[512] = GetElmCont('diag_0',"Already in TC");
err_reason[513] = GetElmCont('diag_0',"CM is ending a GPS call in favor of a user call");
err_reason[514] = GetElmCont('diag_0',"CM is ending an SMS call in favor of a user call");
err_reason[515] = GetElmCont('diag_0',"Phone has no service");
err_reason[1000] = GetElmCont('diag_0',"Call origination request failed");
err_reason[1001] = GetElmCont('diag_0',"Client rejected the incoming call");
err_reason[1002] = GetElmCont('diag_0',"Phone has no service");
err_reason[1003] = GetElmCont('diag_0',"Network end the call");
err_reason[1004] = GetElmCont('diag_0',"LLC ot SNDCP failure");
err_reason[1005] = GetElmCont('diag_0',"Insufficient resources");
err_reason[1006] = GetElmCont('diag_0',"Service option temporarily out of order");
err_reason[1007] = GetElmCont('diag_0',"NSAPI already used");
err_reason[1008] = GetElmCont('diag_0',"Regular PDP context deactivation");
err_reason[1009] = GetElmCont('diag_0',"Network failure");
err_reason[1010] = GetElmCont('diag_0',"Reactivation requested");
err_reason[1011] = GetElmCont('diag_0',"Protocol unspecified error");
err_reason[1012] = GetElmCont('diag_0',"Operator-determined barring");
err_reason[1013] = GetElmCont('diag_0',"Unknown or missing access point name");
err_reason[1014] = GetElmCont('diag_0',"Unknown PDP address or PDP type");
err_reason[1015] = GetElmCont('diag_0',"Activation rejected by GGSN");
err_reason[1016] = GetElmCont('diag_0',"Activation rejected");
err_reason[1017] = GetElmCont('diag_0',"Service option not supported");
err_reason[1018] = GetElmCont('diag_0',"Requested service option not subscribed");
err_reason[1019] = GetElmCont('diag_0',"QoS not accepted");
err_reason[1020] = GetElmCont('diag_0',"Semantic error in the TFT opeartion");
err_reason[1021] = GetElmCont('diag_0',"Syntactical error in the TFT operation");
err_reason[1022] = GetElmCont('diag_0',"Unknow PDP context");
err_reason[1023] = GetElmCont('diag_0',"Sematic error in packet filter");
err_reason[1024] = GetElmCont('diag_0',"Syntactical error in packet filter");
err_reason[1025] = GetElmCont('diag_0',"PDP context without TFT already activated");
err_reason[1026] = GetElmCont('diag_0',"Invalid transation identifier value");
err_reason[1027] = GetElmCont('diag_0',"Semantically incorrect message");
err_reason[1028] = GetElmCont('diag_0',"Invalid mandatory information");
err_reason[1029] = GetElmCont('diag_0',"Message type nonexistent or not implemented");
err_reason[1030] = GetElmCont('diag_0',"Message not compatible with state");
err_reason[1031] = GetElmCont('diag_0',"Information element nonexistent or not implemented");
err_reason[1032] = GetElmCont('diag_0',"Conditional IE error");
err_reason[1033] = GetElmCont('diag_0',"Message not compatible with protocol state");
err_reason[1034] = GetElmCont('diag_0',"APN restriction valuse incompatible with active PDPcontext");
err_reason[1035] = GetElmCont('diag_0',"No GPRS context present");
err_reason[1036] = GetElmCont('diag_0',"Requested feature not supported");
err_reason[1500] = GetElmCont('diag_0',"Deny code is general or network busy");
err_reason[1501] = GetElmCont('diag_0',"Deny code is billing or authentication failure");
err_reason[1502] = GetElmCont('diag_0',"Change HDR due to redirection or PRL not preferred");
err_reason[1503] = GetElmCont('diag_0',"Exit HDR due to redirection or PRL not preferred");
err_reason[1504] = GetElmCont('diag_0',"No HDR session");
err_reason[1505] = GetElmCont('diag_0',"CM is endig an HDR call origination in favor of GPS fix");
err_reason[1506] = GetElmCont('diag_0',"HDR connection setup timeout ");
err_reason[1507] = GetElmCont('diag_0',"HDR released by CM");
var verbose_err_reason = [];
/*
verbose_err_reason[64] = GetElmCont('diag_0',"MIP FA error - Unspecificied reason");
verbose_err_reason[65] = GetElmCont('diag_0',"MIP FA error - Administratovely prohibited");
verbose_err_reason[66] = GetElmCont('diag_0',"MIP FA error - Insufficient resources");
verbose_err_reason[67] = GetElmCont('diag_0',"MIP FA error - Mobile node authentication failure");
verbose_err_reason[68] = GetElmCont('diag_0',"MIP FA error - HA authentication failure");
verbose_err_reason[69] = GetElmCont('diag_0',"MIP FA error - Requested lifetime too long");
verbose_err_reason[70] = GetElmCont('diag_0',"MIP FA error - Malformed request");
verbose_err_reason[71] = GetElmCont('diag_0',"MIP FA error - Malformed reply");
verbose_err_reason[72] = GetElmCont('diag_0',"MIP FA error - Encapsulation unavailable");
verbose_err_reason[73] = GetElmCont('diag_0',"MIP FA error - VJHC unavailable");
verbose_err_reason[74] = GetElmCont('diag_0',"MIP FA error - Reserve tunnel unavailable");
verbose_err_reason[75] = GetElmCont('diag_0',"MIP FA error - Reserve tunnel is mandatory and T bit is not set");
verbose_err_reason[79] = GetElmCont('diag_0',"MIP FA error - Delivery style not supported");
verbose_err_reason[97] = GetElmCont('diag_0',"MIP FA error - Missing NAI");
verbose_err_reason[98] = GetElmCont('diag_0',"MIP FA error - Missing HA");
verbose_err_reason[99] = GetElmCont('diag_0',"MIP FA error - Missing home address");
verbose_err_reason[104] = GetElmCont('diag_0',"MIP FA error - Unknown challenge");
verbose_err_reason[105] = GetElmCont('diag_0',"MIP FA error - Missing challenge");
verbose_err_reason[106] = GetElmCont('diag_0',"MIP FA error - Stale challenge");
verbose_err_reason[128] = GetElmCont('diag_0',"MIP HA error - Unspecified reason");
verbose_err_reason[129] = GetElmCont('diag_0',"MIP HA error - Administratively prohibited");
verbose_err_reason[130] = GetElmCont('diag_0',"MIP HA error - Insufficient resources");
verbose_err_reason[131] = GetElmCont('diag_0',"MIP HA error - Mobile node authentication failed");
verbose_err_reason[132] = GetElmCont('diag_0',"MIP HA error - FA authentication failure");
verbose_err_reason[133] = GetElmCont('diag_0',"MIP HA error - Registration ID mismatch");
verbose_err_reason[134] = GetElmCont('diag_0',"MIP HA error - Malformed request");
verbose_err_reason[136] = GetElmCont('diag_0',"MIP HA error - Unknown HA address");
verbose_err_reason[137] = GetElmCont('diag_0',"MIP HA error - Reserve tunnel unavailable");
verbose_err_reason[138] = GetElmCont('diag_0',"MIP HA error - Reserve tunnel is mandatory and T bit is not set");
verbose_err_reason[139] = GetElmCont('diag_0',"MIP HA error - Encapsulation unavailable");
*/
verbose_err_reason[201] = GetElmCont('diag_0',"Internal error");
verbose_err_reason[202] = GetElmCont('diag_0',"Call ended");
verbose_err_reason[203] = GetElmCont('diag_0',"Internal unknown cause");
verbose_err_reason[204] = GetElmCont('diag_0',"Unknown cause");
verbose_err_reason[205] = GetElmCont('diag_0',"Close in progress");
verbose_err_reason[206] = GetElmCont('diag_0',"NW initiated termination");
verbose_err_reason[207] = GetElmCont('diag_0',"APP preempted");
verbose_err_reason[208] = GetElmCont('diag_0',"PDN IPv4 call disallowed");
verbose_err_reason[209] = GetElmCont('diag_0',"PDN IPv4 call throttled");
verbose_err_reason[210] = GetElmCont('diag_0',"PDN IPv6 call disallowed");
verbose_err_reason[211] = GetElmCont('diag_0',"PDN IPv6 call throttled");
verbose_err_reason[212] = GetElmCont('diag_0',"Modem restart");
verbose_err_reason[213] = GetElmCont('diag_0',"PDP PPP not supported");
verbose_err_reason[214] = GetElmCont('diag_0',"Unpreferred rat");
verbose_err_reason[215] = GetElmCont('diag_0',"phys link close in progress");
verbose_err_reason[216] = GetElmCont('diag_0',"APN pending handover");
verbose_err_reason[217] = GetElmCont('diag_0',"Profile bearer incompatible");
verbose_err_reason[218] = GetElmCont('diag_0',"MMGSDI card evt");
verbose_err_reason[219] = GetElmCont('diag_0',"Low power mode or power down");
verbose_err_reason[220] = GetElmCont('diag_0',"APN disabled");
verbose_err_reason[221] = GetElmCont('diag_0',"MPIT expired");
verbose_err_reason[222] = GetElmCont('diag_0',"IPv6 address transfer failed");
verbose_err_reason[223] = GetElmCont('diag_0',"Trat swap failed");
verbose_err_reason[500] = GetElmCont('diag_0',"CDMS lock");
verbose_err_reason[501] = GetElmCont('diag_0',"Intercept");
verbose_err_reason[502] = GetElmCont('diag_0',"reorder");
verbose_err_reason[503] = GetElmCont('diag_0',"Rel rejected");
verbose_err_reason[504] = GetElmCont('diag_0',"Incoming call");
verbose_err_reason[505] = GetElmCont('diag_0',"Alert stop");
verbose_err_reason[506] = GetElmCont('diag_0',"Activation");
verbose_err_reason[507] = GetElmCont('diag_0',"Max access probe");
verbose_err_reason[508] = GetElmCont('diag_0',"CCS not supported");
verbose_err_reason[509] = GetElmCont('diag_0',"No response from BS");
verbose_err_reason[510] = GetElmCont('diag_0',"Rejected by BS");
verbose_err_reason[511] = GetElmCont('diag_0',"Incompatible");
verbose_err_reason[512] = GetElmCont('diag_0',"Already in TC");
verbose_err_reason[513] = GetElmCont('diag_0',"User call origination during GPS");
verbose_err_reason[514] = GetElmCont('diag_0',"User call origination during SMS");
verbose_err_reason[515] = GetElmCont('diag_0',"No CDMA srv");
verbose_err_reason[516] = GetElmCont('diag_0',"MC abort");
verbose_err_reason[517] = GetElmCont('diag_0',"PSIST NG");
verbose_err_reason[518] = GetElmCont('diag_0',"UIM not present");
verbose_err_reason[519] = GetElmCont('diag_0',"Retry order");
verbose_err_reason[520] = GetElmCont('diag_0',"Access block");
verbose_err_reason[521] = GetElmCont('diag_0',"Access block all");
verbose_err_reason[522] = GetElmCont('diag_0',"IS707B max access");
verbose_err_reason[523] = GetElmCont('diag_0',"Thermal emergency");
verbose_err_reason[524] = GetElmCont('diag_0',"Call origination throttled");
verbose_err_reason[1000] = GetElmCont('diag_0',"Configuration failed");
verbose_err_reason[1001] = GetElmCont('diag_0',"Incoming reject");
verbose_err_reason[1002] = GetElmCont('diag_0',"No GW service");
verbose_err_reason[1003] = GetElmCont('diag_0',"No GPRS context");
verbose_err_reason[1004] = GetElmCont('diag_0',"Illegle MS");
verbose_err_reason[1005] = GetElmCont('diag_0',"Illegal ME");
verbose_err_reason[1006] = GetElmCont('diag_0',"GPRS services and non-GPRS services not allowed");
verbose_err_reason[1007] = GetElmCont('diag_0',"GPRS services not allowed");
verbose_err_reason[1008] = GetElmCont('diag_0',"MS identity cannot be derived by the network");
verbose_err_reason[1009] = GetElmCont('diag_0',"Implicitly detached");
verbose_err_reason[1010] = GetElmCont('diag_0',"PLMN not allowed");
verbose_err_reason[1011] = GetElmCont('diag_0',"LA not allowed");
verbose_err_reason[1012] = GetElmCont('diag_0',"GPRS service not allowed");
verbose_err_reason[1013] = GetElmCont('diag_0',"PDP duplicate");
verbose_err_reason[1014] = GetElmCont('diag_0',"UE rat change");
verbose_err_reason[1015] = GetElmCont('diag_0',"Congestion");
verbose_err_reason[1016] = GetElmCont('diag_0',"No PDP context activated");
verbose_err_reason[1017] = GetElmCont('diag_0',"Access class rejected");
verbose_err_reason[1500] = GetElmCont('diag_0',"Deny code is general or network busy");
verbose_err_reason[1501] = GetElmCont('diag_0',"Deny code is billing or authentication failure");
verbose_err_reason[1502] = GetElmCont('diag_0',"HDR Change");
verbose_err_reason[1503] = GetElmCont('diag_0',"Exit HDR");
verbose_err_reason[1504] = GetElmCont('diag_0',"HDR no session");
verbose_err_reason[1505] = GetElmCont('diag_0',"HDR origination during FPS fix");
verbose_err_reason[1506] = GetElmCont('diag_0',"HDR CS timeout");
verbose_err_reason[1507] = GetElmCont('diag_0',"HDR release by CM");
verbose_err_reason[1510] = GetElmCont('diag_0',"No hybird HDR service");
verbose_err_reason[2000] = GetElmCont('diag_0',"Client end");
verbose_err_reason[2001] = GetElmCont('diag_0',"No service");
verbose_err_reason[2002] = GetElmCont('diag_0',"FADE");
verbose_err_reason[2003] = GetElmCont('diag_0',"Rel normal");
verbose_err_reason[2004] = GetElmCont('diag_0',"Access in progressing");
verbose_err_reason[2005] = GetElmCont('diag_0',"Access failure");
verbose_err_reason[2006] = GetElmCont('diag_0',"Redirection or handoff");
verbose_err_reason[2500] = GetElmCont('diag_0',"Offline");
verbose_err_reason[2501] = GetElmCont('diag_0',"Emergency mode");
verbose_err_reason[2502] = GetElmCont('diag_0',"Phone in use");
verbose_err_reason[2503] = GetElmCont('diag_0',"Invalid mode");
verbose_err_reason[2504] = GetElmCont('diag_0',"Invalid SIM state");
verbose_err_reason[2505] = GetElmCont('diag_0',"No colloc HDR");
verbose_err_reason[2506] = GetElmCont('diag_0',"Call control rejected");
verbose_err_reason[8] = GetElmCont('diag_0',"Operator Determined Barring");
verbose_err_reason[25] = GetElmCont('diag_0',"LLC SNDCP failure");
verbose_err_reason[26] = GetElmCont('diag_0',"Insufficient resources");
verbose_err_reason[27] = GetElmCont('diag_0',"Missing or unknown APN");
verbose_err_reason[28] = GetElmCont('diag_0',"Unknown PDN type");
verbose_err_reason[29] = GetElmCont('diag_0',"User authentication failed. Please check Username/Password on APN Profile Configuration");
verbose_err_reason[30] = GetElmCont('diag_0',"Request rejected by serving Gwor PDN GW");
verbose_err_reason[31] = GetElmCont('diag_0',"Request rejected");
verbose_err_reason[32] = GetElmCont('diag_0',"Service option not supported");
verbose_err_reason[33] = GetElmCont('diag_0',"Requested service option not subscribed. Please check the APN Profile Configuration");
verbose_err_reason[34] = GetElmCont('diag_0',"Service option temporarily out of order");
verbose_err_reason[35] = GetElmCont('diag_0',"PTI already in use");
verbose_err_reason[36] = GetElmCont('diag_0',"Regular deactivation");
verbose_err_reason[37] = GetElmCont('diag_0',"EPS QoS not accepted");
verbose_err_reason[38] = GetElmCont('diag_0',"Network failure");
verbose_err_reason[39] = GetElmCont('diag_0',"Reactivation requested");
verbose_err_reason[40] = GetElmCont('diag_0',"Not supported feature");
verbose_err_reason[41] = GetElmCont('diag_0',"Semantic error in the TFT opeartion");
verbose_err_reason[42] = GetElmCont('diag_0',"Syntactical error in the TFT opeartion");
verbose_err_reason[43] = GetElmCont('diag_0',"Invalid EPS bearer identity");
verbose_err_reason[44] = GetElmCont('diag_0',"Semantic error in the packet filter");
verbose_err_reason[45] = GetElmCont('diag_0',"Syntactical error in the packet filter");
verbose_err_reason[46] = GetElmCont('diag_0',"PDP without actived TFT");
verbose_err_reason[81] = GetElmCont('diag_0',"Invalid transaction id");
verbose_err_reason[95] = GetElmCont('diag_0',"Semantically incorrect message");
verbose_err_reason[96] = GetElmCont('diag_0',"Invalid mandatory information");
verbose_err_reason[97] = GetElmCont('diag_0',"Messages type ono-existent or not implemented");
verbose_err_reason[98] = GetElmCont('diag_0',"Message type not compatible");
verbose_err_reason[99] = GetElmCont('diag_0',"Information element non-exist or not implemented");
verbose_err_reason[100] = GetElmCont('diag_0',"Conditional IE error");
verbose_err_reason[101] = GetElmCont('diag_0',"Message not compatible ");
verbose_err_reason[111] = GetElmCont('diag_0',"Protocol error");
verbose_err_reason[112] = GetElmCont('diag_0',"APNtype conflict");
verbose_err_reason[50] = GetElmCont('diag_0',"PDN type IPv4 only allowed");
verbose_err_reason[51] = GetElmCont('diag_0',"PDNtype IPv6 only allowed");
verbose_err_reason[52] = GetElmCont('diag_0',"Single address bearers only allowed");
verbose_err_reason[53] = GetElmCont('diag_0',"ESM information not received");
verbose_err_reason[54] = GetElmCont('diag_0',"PDN connection does not exist");
verbose_err_reason[55] = GetElmCont('diag_0',"Collision with network initialed request");
verbose_err_reason[1] = GetElmCont('diag_0',"Timeout");
verbose_err_reason[2] = GetElmCont('diag_0',"Authentication failed");
verbose_err_reason[3] = GetElmCont('diag_0',"Mismatch option");
verbose_err_reason[31] = GetElmCont('diag_0',"PAP failure");
verbose_err_reason[32] = GetElmCont('diag_0',"Chap failure");
/*
verbose_err_reason[1] = GetElmCont('diag_0',"Limited to V4");
verbose_err_reason[2] = GetElmCont('diag_0',"Limited to V6");
verbose_err_reason[4] = GetElmCont('diag_0',"VSNCP timeout");
verbose_err_reason[5] = GetElmCont('diag_0',"VSNCP failure");
verbose_err_reason[6] = GetElmCont('diag_0',"VSNCP 3GPP2 general error");
verbose_err_reason[7] = GetElmCont('diag_0',"VSNCP 3GPP2 unauth APN");
verbose_err_reason[8] = GetElmCont('diag_0',"VSNCP 3GPP2 PDNlimit exceed");
verbose_err_reason[9] = GetElmCont('diag_0',"VSNCP 3GPP2 no PDN GW");
verbose_err_reason[10] = GetElmCont('diag_0',"VSNCP 3GPP2 PDN GW unreach");
verbose_err_reason[11] = GetElmCont('diag_0',"VSNCP 3GPP2 PDN GW Rejected");
verbose_err_reason[12] = GetElmCont('diag_0',"VSNCP 3GPP2 insufficient parameter");
verbose_err_reason[13] = GetElmCont('diag_0',"VNSCP 3GPP2 resource unavailable");
verbose_err_reason[14] = GetElmCont('diag_0',"VSNCP 3GPP2 administratively prohibit");
verbose_err_reason[15] = GetElmCont('diag_0',"VSNCP 3GPP2 PDN ID in use");
verbose_err_reason[16] = GetElmCont('diag_0',"VSNCP 3GPP2 subscribed limitation");
verbose_err_reason[17] = GetElmCont('diag_0',"PDNexists for this APN");
*/